# Instructions 

## Notes
- Steps 1-4 only needs done the 1st time you place down a turtle. 
- Step 5 is what you run each time you place down a previsouly configured turtle.

## Usage
1. Place a turtle with a chest to the left of it.

2. R-click on the turtle.

3. Give the turtle a name.
`set name <name>`

4. Download the script to the turtle using:
`wget https://git.claytonia.net/Clarth/ComputerCraft-Turtle-Quarry-Script/raw/branch/main/quarry.lua quarry`

5. Run `quarry -chest left -oreQuarry true -blacklist no-mine-me.lua -doRefuel true`


### Notes: 

- This will mine everything, makes a big hole! `quarry -chest left -doRefuel true`
- Add '-startDown X' to the end of the command if the turtle messes up and needs to start a few levels down. I have found this work better than the -restore argument. Example to -startDown 50 blocks from the start. 
`quarry -chest left -oreQuarry true -blacklist no-mine-me.lua -doRefuel true -startDown 50`
- Not nessisary for everyone. Skip this step unless you know what you're doing. 
The black list feature stopped working sometime around 1.19.2 so I started hardcoding the black list into the script. You can add blocks to the blacklist in the script around line 768. 
It will look something like this:

```
--oreQuarry blacklist
local blacklist = { "minecraft:air",  "minecraft:bedrock", "minecraft:cobblestone", "minecraft:dirt", "minecraft:ice", "minecraft:ladder", "minecraft:netherrack", "minecraft:tuff", "minecraft:sand", "minecraft:sandstone",
  "minecraft:snow", "minecraft:snow_layer", "minecraft:stone", "minecraft:gravel", "minecraft:grass", "minecraft:torch", "minecraft:diorite", "minecraft:andesite", "minecraft:granite", "byg:soapstone", "minecraft:cobbled_deepslate" 
  ```